using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace WK5.Core.Models.Lager
{
    public class WareEinlagernInput
    {
        public List<WareEinlagernChargeInput> Positionen { get; set; } = new List<WareEinlagernChargeInput>();

        public bool CanSave => !Positionen.Any(x => !x.AllesErledigt);
        public WareEinlagernInput(List<Charge> chargen)
        {
            foreach (var charge in chargen)
            {
                Positionen.Add(new WareEinlagernChargeInput(charge));
            }
        }
    }
}
